'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _client = require('part:@sanity/base/client');

var _client2 = _interopRequireDefault(_client);

var _DocumentCount = require('./DocumentCount.css');

var _DocumentCount2 = _interopRequireDefault(_DocumentCount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var documentCount$ = _client2.default.observable.fetch('count(*[]{_id})');

var DocumentCount = function (_React$Component) {
  _inherits(DocumentCount, _React$Component);

  function DocumentCount() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, DocumentCount);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = DocumentCount.__proto__ || Object.getPrototypeOf(DocumentCount)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      count: 0
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(DocumentCount, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      documentCount$.subscribe(function (count) {
        _this2.setState({ count: count });
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var count = this.state.count;


      return _react2.default.createElement(
        'div',
        { className: _DocumentCount2.default.container },
        _react2.default.createElement(
          'h2',
          null,
          _react2.default.createElement(
            'div',
            null,
            'You\'ve got ',
            _react2.default.createElement(
              'code',
              null,
              count
            ),
            ' tucked away'
          )
        )
      );
    }
  }]);

  return DocumentCount;
}(_react2.default.Component);

exports.default = {
  name: 'document-count',
  component: DocumentCount
};